import board
import neopixel
import sys

if len(sys.argv) != 2:
	print("Bad arguments. Usage: python3 ledset.py {value}")
	sys.exit(1)

value=int(sys.argv[1])
if value < 0 or value > 255:
	print("LED intensity must between 0 and 255")
	sys.exit(1)

LEDS=15

pixels = neopixel.NeoPixel(board.D18, LEDS)
for i in range(LEDS):
 	pixels[i] = (value, value, value)
pixels.show()
